Display an error when component.json is required #279

Merged
merged 2 commits into from Mar 6, 2013

Conversation

Projects
None yet
2 participants
Contributor

bpierre commented Mar 6, 2013

No description provided.

@tj tj and 1 other commented on an outdated diff Mar 6, 2013

bin/component-info
@@ -28,6 +31,10 @@ program.on('--help', function(){
program.parse(process.argv);
+// component.json required
+
+if (!exists('component.json')) utils.fatal('missing component.json');
+
// package
@tj

tj Mar 6, 2013

Contributor

this command doesn't use ./component.json

@tj tj added a commit that referenced this pull request Mar 6, 2013

@tj tj Merge pull request #279 from bpierre/check-json
Display an error when component.json is required
cc3d518

@tj tj merged commit cc3d518 into componentjs:master Mar 6, 2013

Contributor

tj commented Mar 6, 2013

thanks!

bpierre deleted the unknown repository branch Mar 6, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment